
QGIS Application - Bug report #12859

Qgis layer style file not saving

2015-06-02 06:14 AM - Don Smith

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20952

Description

When in the layer window, choosing 

Style -> Save Style -> Qgis layer style file

no longer creates a style file.

Related issues:

Duplicates QGIS Application - Bug report # 8285: Saving styles (qml and sld) ... Closed 2013-07-12

History

#1 - 2015-06-02 06:39 AM - Don Smith

- Status changed from Open to Closed

#2 - 2015-06-02 06:45 AM - Don Smith

- Status changed from Closed to Reopened

#3 - 2015-06-02 07:35 AM - Saber Razmjooei

- Priority changed from Normal to Low

- Status changed from Reopened to Feedback

Where are you trying to save the qml file? Do you have access write to the folder?

Have you tried it in another platform. It works fine for me.

#4 - 2015-06-02 07:45 AM - Don Smith

Saber Razmjooei wrote:

Where are you trying to save the qml file? Do you have access write to the folder?

Have you tried it in another platform. It works fine for me.

Just discovered after putting the bug track in that the layer in question was an ODBC generated one.  So while the 'bug' is technically still valid, it is also

pretty irrelevant except in this obscure case.  Besides, it is easily got around by using a shape or other layer file to generate the style file and then apply it to

the odbc layer.

#5 - 2015-06-02 09:42 AM - Giovanni Manghi

> the layer in question was an ODBC generated one.
what is the format? csv?

#6 - 2015-07-27 04:51 AM - Toni Keskitalo

An older issue shows that you can't save a style file from a CSV layer on Windows. It's still present in 2.10.1: issue #8285.

#7 - 2015-12-19 02:19 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #8285
